﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace TestCombo1
{
    public class DataViewModel : INotifyPropertyChanged
    {
        public DataViewModel()
        {
            DownloadDataSource();
        }

        private ObservableCollection<Item> _items = null;
        public ObservableCollection<Item> Items
        {
            get
            {
                return _items;
            }
            set
            {
                if (value != null)
                {
                    _items = value;
                    OnPropertyChanged("Items");
                }
            }
        }

        private ObservableCollection<Item> _items1 = null;
        public ObservableCollection<Item> Items1
        {
            get
            {
                return _items1;
            }
            set
            {
                if (value != null)
                {
                    _items1 = value;
                    OnPropertyChanged("Items1");
                }
            }
        }

        private void DownloadDataSource()
        {
            var dataCollection = new ObservableCollection<Item>();

            dataCollection.Add(new Item() { String_Field = "ff1", Int_Field = 1, String_Field2 = "xxx", Date =  DateTime.Now});
            dataCollection.Add(new Item() { String_Field = "ff2", Int_Field = 2, String_Field2 = "xxx" });
            dataCollection.Add(new Item() { String_Field = "ff3", Int_Field = 3, String_Field2 = "xxx" });
            dataCollection.Add(new Item() { String_Field = "ff4", Int_Field = 4, String_Field2 = "yyy" });
            dataCollection.Add(new Item() { String_Field = "ff5", Int_Field = 5 });
            dataCollection.Add(new Item() { String_Field = "ff6", Int_Field = 6 });
            dataCollection.Add(new Item() { String_Field = "ff7", Int_Field = 7 });
            dataCollection.Add(new Item() { String_Field = "ff8", Int_Field = 8 });

            this.Items = dataCollection;


            var dataCollection1 = new ObservableCollection<Item>();

            dataCollection1.Add(new Item() { String_Field = "pipi", Int_Field = 1, String_Field2 = "test"});

            this.Items1 = dataCollection1;
        }

        #region INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion // INotifyPropertyChanged
    }

    public class Item
    {
        public string String_Field { get; set; }
        public int Int_Field { get; set; }
        public string String_Field2 { get; set; }
        public DateTime Date { get; set; }
    }

}
